comparison configure @ 81369:f50b45eabb35

Regenerate.
author Chong Yidong <cyd@stupidchicken.com>
date Wed, 13 Jun 2007 17:32:59 +0000
parents fbb350524e7a
children d4063b17fcab
comparison
equal deleted inserted replaced
81368:ed0e578fd01a 81369:f50b45eabb35
410 exitcode=1 410 exitcode=1
411 echo positional parameters were not saved. 411 echo positional parameters were not saved.
412 fi 412 fi
413 413
414 test \$exitcode = 0") || { 414 test \$exitcode = 0") || {
415 echo Please tell bug-autoconf@gnu.org about your system, 415 echo No shell found that supports shell functions.
416 echo including any error possibly output before this message. 416 echo Please tell autoconf@gnu.org about your system,
417 echo This can help us improve future autoconf versions. 417 echo including any error possibly output before this
418 echo Configuration will now proceed without shell functions. 418 echo message
419 } 419 }
420 420
421 421
422 422
423 as_lineno_1=$LINENO 423 as_lineno_1=$LINENO
12096 LIBS="$OLD_LIBS" 12096 LIBS="$OLD_LIBS"
12097 fi 12097 fi
12098 fi 12098 fi
12099 fi 12099 fi
12100 12100
12101 HAVE_XAW3D=no
12101 if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then 12102 if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then
12102 if test x"${HAVE_X11R5}" = xyes; then 12103 if test x"${HAVE_X11R5}" != xyes; then
12103 { echo "$as_me:$LINENO: checking X11 version 5 with Xaw" >&5 12104 USE_X_TOOLKIT=none
12104 echo $ECHO_N "checking X11 version 5 with Xaw... $ECHO_C" >&6; } 12105 else
12105 if test "${emacs_cv_x11_version_5_with_xaw+set}" = set; then 12106 { echo "$as_me:$LINENO: checking for xaw3d" >&5
12107 echo $ECHO_N "checking for xaw3d... $ECHO_C" >&6; }
12108 if test "${emacs_cv_xaw3d+set}" = set; then
12109 echo $ECHO_N "(cached) $ECHO_C" >&6
12110 else
12111 cat >conftest.$ac_ext <<_ACEOF
12112 /* confdefs.h. */
12113 _ACEOF
12114 cat confdefs.h >>conftest.$ac_ext
12115 cat >>conftest.$ac_ext <<_ACEOF
12116 /* end confdefs.h. */
12117
12118 #include <X11/Intrinsic.h>
12119 #include <X11/Xaw3d/Simple.h>
12120 int
12121 main ()
12122 {
12123
12124 ;
12125 return 0;
12126 }
12127 _ACEOF
12128 rm -f conftest.$ac_objext conftest$ac_exeext
12129 if { (ac_try="$ac_link"
12130 case "(($ac_try" in
12131 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
12132 *) ac_try_echo=$ac_try;;
12133 esac
12134 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
12135 (eval "$ac_link") 2>conftest.er1
12136 ac_status=$?
12137 grep -v '^ *+' conftest.er1 >conftest.err
12138 rm -f conftest.er1
12139 cat conftest.err >&5
12140 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12141 (exit $ac_status); } && {
12142 test -z "$ac_c_werror_flag" ||
12143 test ! -s conftest.err
12144 } && test -s conftest$ac_exeext &&
12145 $as_test_x conftest$ac_exeext; then
12146 emacs_cv_xaw3d=yes
12147 else
12148 echo "$as_me: failed program was:" >&5
12149 sed 's/^/| /' conftest.$ac_ext >&5
12150
12151 emacs_cv_xaw3d=no
12152 fi
12153
12154 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
12155 conftest$ac_exeext conftest.$ac_ext
12156 fi
12157
12158 if test $emacs_cv_xaw3d = yes; then
12159 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5
12160 echo "${ECHO_T}yes; using Lucid toolkit" >&6; }
12161 USE_X_TOOLKIT=LUCID
12162 HAVE_XAW3D=yes
12163
12164 cat >>confdefs.h <<\_ACEOF
12165 #define HAVE_XAW3D 1
12166 _ACEOF
12167
12168 else
12169 { echo "$as_me:$LINENO: result: no" >&5
12170 echo "${ECHO_T}no" >&6; }
12171 { echo "$as_me:$LINENO: checking for libXaw" >&5
12172 echo $ECHO_N "checking for libXaw... $ECHO_C" >&6; }
12173 if test "${emacs_cv_xaw+set}" = set; then
12106 echo $ECHO_N "(cached) $ECHO_C" >&6 12174 echo $ECHO_N "(cached) $ECHO_C" >&6
12107 else 12175 else
12108 cat >conftest.$ac_ext <<_ACEOF 12176 cat >conftest.$ac_ext <<_ACEOF
12109 /* confdefs.h. */ 12177 /* confdefs.h. */
12110 _ACEOF 12178 _ACEOF
12138 (exit $ac_status); } && { 12206 (exit $ac_status); } && {
12139 test -z "$ac_c_werror_flag" || 12207 test -z "$ac_c_werror_flag" ||
12140 test ! -s conftest.err 12208 test ! -s conftest.err
12141 } && test -s conftest$ac_exeext && 12209 } && test -s conftest$ac_exeext &&
12142 $as_test_x conftest$ac_exeext; then 12210 $as_test_x conftest$ac_exeext; then
12143 emacs_cv_x11_version_5_with_xaw=yes 12211 emacs_cv_xaw=yes
12144 else 12212 else
12145 echo "$as_me: failed program was:" >&5 12213 echo "$as_me: failed program was:" >&5
12146 sed 's/^/| /' conftest.$ac_ext >&5 12214 sed 's/^/| /' conftest.$ac_ext >&5
12147 12215
12148 emacs_cv_x11_version_5_with_xaw=no 12216 emacs_cv_xaw=no
12149 fi 12217 fi
12150 12218
12151 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 12219 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
12152 conftest$ac_exeext conftest.$ac_ext 12220 conftest$ac_exeext conftest.$ac_ext
12153 fi 12221 fi
12154 12222
12155 if test $emacs_cv_x11_version_5_with_xaw = yes; then 12223 if test $emacs_cv_xaw = yes; then
12156 { echo "$as_me:$LINENO: result: 5 or newer, with Xaw; use toolkit by default" >&5 12224 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5
12157 echo "${ECHO_T}5 or newer, with Xaw; use toolkit by default" >&6; } 12225 echo "${ECHO_T}yes; using Lucid toolkit" >&6; }
12158 USE_X_TOOLKIT=LUCID 12226 USE_X_TOOLKIT=LUCID
12159 else 12227 elif test x"${USE_X_TOOLKIT}" = xLUCID; then
12160 if test x"${USE_X_TOOLKIT}" = xLUCID; then
12161 { { echo "$as_me:$LINENO: error: Lucid toolkit requires X11/Xaw include files" >&5 12228 { { echo "$as_me:$LINENO: error: Lucid toolkit requires X11/Xaw include files" >&5
12162 echo "$as_me: error: Lucid toolkit requires X11/Xaw include files" >&2;} 12229 echo "$as_me: error: Lucid toolkit requires X11/Xaw include files" >&2;}
12163 { (exit 1); exit 1; }; } 12230 { (exit 1); exit 1; }; }
12164 else 12231 else
12165 { echo "$as_me:$LINENO: result: before 5 or no Xaw; do not use toolkit by default" >&5 12232 { echo "$as_me:$LINENO: result: no; do not use toolkit by default" >&5
12166 echo "${ECHO_T}before 5 or no Xaw; do not use toolkit by default" >&6; } 12233 echo "${ECHO_T}no; do not use toolkit by default" >&6; }
12167 USE_X_TOOLKIT=none 12234 USE_X_TOOLKIT=none
12168 fi 12235 fi
12169 fi 12236 fi
12170 else
12171 USE_X_TOOLKIT=none
12172 fi 12237 fi
12173 fi 12238 fi
12174 12239
12175 X_TOOLKIT_TYPE=$USE_X_TOOLKIT 12240 X_TOOLKIT_TYPE=$USE_X_TOOLKIT
12176 12241
12599 REAL_CPPFLAGS="-I/usr/X11R6/LessTif/Motif1.2/include $REAL_CPPFLAGS" 12664 REAL_CPPFLAGS="-I/usr/X11R6/LessTif/Motif1.2/include $REAL_CPPFLAGS"
12600 LDFLAGS="-L/usr/X11R6/LessTif/Motif1.2/lib $LDFLAGS" 12665 LDFLAGS="-L/usr/X11R6/LessTif/Motif1.2/lib $LDFLAGS"
12601 else 12666 else
12602 CFLAGS=$OLD_CFLAGS 12667 CFLAGS=$OLD_CFLAGS
12603 CPPFLAGS=$OLD_CPPFLAGS 12668 CPPFLAGS=$OLD_CPPFLAGS
12604 fi
12605 fi
12606 fi
12607
12608 ### Is -lXaw3d available?
12609 HAVE_XAW3D=no
12610 if test "${HAVE_X11}" = "yes"; then
12611 if test "${USE_X_TOOLKIT}" != "none" && test "${with_toolkit_scroll_bars}" != "no"; then
12612 { echo "$as_me:$LINENO: checking for X11/Xaw3d/Scrollbar.h" >&5
12613 echo $ECHO_N "checking for X11/Xaw3d/Scrollbar.h... $ECHO_C" >&6; }
12614 if test "${ac_cv_header_X11_Xaw3d_Scrollbar_h+set}" = set; then
12615 echo $ECHO_N "(cached) $ECHO_C" >&6
12616 else
12617 cat >conftest.$ac_ext <<_ACEOF
12618 /* confdefs.h. */
12619 _ACEOF
12620 cat confdefs.h >>conftest.$ac_ext
12621 cat >>conftest.$ac_ext <<_ACEOF
12622 /* end confdefs.h. */
12623 #include <X11/Xaw3d/Scrollbar.h>
12624 _ACEOF
12625 if { (ac_try="$ac_cpp conftest.$ac_ext"
12626 case "(($ac_try" in
12627 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
12628 *) ac_try_echo=$ac_try;;
12629 esac
12630 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
12631 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
12632 ac_status=$?
12633 grep -v '^ *+' conftest.er1 >conftest.err
12634 rm -f conftest.er1
12635 cat conftest.err >&5
12636 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12637 (exit $ac_status); } >/dev/null && {
12638 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
12639 test ! -s conftest.err
12640 }; then
12641 ac_cv_header_X11_Xaw3d_Scrollbar_h=yes
12642 else
12643 echo "$as_me: failed program was:" >&5
12644 sed 's/^/| /' conftest.$ac_ext >&5
12645
12646 ac_cv_header_X11_Xaw3d_Scrollbar_h=no
12647 fi
12648
12649 rm -f conftest.err conftest.$ac_ext
12650 fi
12651 { echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xaw3d_Scrollbar_h" >&5
12652 echo "${ECHO_T}$ac_cv_header_X11_Xaw3d_Scrollbar_h" >&6; }
12653 if test $ac_cv_header_X11_Xaw3d_Scrollbar_h = yes; then
12654 { echo "$as_me:$LINENO: checking for XawScrollbarSetThumb in -lXaw3d" >&5
12655 echo $ECHO_N "checking for XawScrollbarSetThumb in -lXaw3d... $ECHO_C" >&6; }
12656 if test "${ac_cv_lib_Xaw3d_XawScrollbarSetThumb+set}" = set; then
12657 echo $ECHO_N "(cached) $ECHO_C" >&6
12658 else
12659 ac_check_lib_save_LIBS=$LIBS
12660 LIBS="-lXaw3d $LIBS"
12661 cat >conftest.$ac_ext <<_ACEOF
12662 /* confdefs.h. */
12663 _ACEOF
12664 cat confdefs.h >>conftest.$ac_ext
12665 cat >>conftest.$ac_ext <<_ACEOF
12666 /* end confdefs.h. */
12667
12668 /* Override any GCC internal prototype to avoid an error.
12669 Use char because int might match the return type of a GCC
12670 builtin and then its argument prototype would still apply. */
12671 #ifdef __cplusplus
12672 extern "C"
12673 #endif
12674 char XawScrollbarSetThumb ();
12675 int
12676 main ()
12677 {
12678 return XawScrollbarSetThumb ();
12679 ;
12680 return 0;
12681 }
12682 _ACEOF
12683 rm -f conftest.$ac_objext conftest$ac_exeext
12684 if { (ac_try="$ac_link"
12685 case "(($ac_try" in
12686 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
12687 *) ac_try_echo=$ac_try;;
12688 esac
12689 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
12690 (eval "$ac_link") 2>conftest.er1
12691 ac_status=$?
12692 grep -v '^ *+' conftest.er1 >conftest.err
12693 rm -f conftest.er1
12694 cat conftest.err >&5
12695 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12696 (exit $ac_status); } && {
12697 test -z "$ac_c_werror_flag" ||
12698 test ! -s conftest.err
12699 } && test -s conftest$ac_exeext &&
12700 $as_test_x conftest$ac_exeext; then
12701 ac_cv_lib_Xaw3d_XawScrollbarSetThumb=yes
12702 else
12703 echo "$as_me: failed program was:" >&5
12704 sed 's/^/| /' conftest.$ac_ext >&5
12705
12706 ac_cv_lib_Xaw3d_XawScrollbarSetThumb=no
12707 fi
12708
12709 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
12710 conftest$ac_exeext conftest.$ac_ext
12711 LIBS=$ac_check_lib_save_LIBS
12712 fi
12713 { echo "$as_me:$LINENO: result: $ac_cv_lib_Xaw3d_XawScrollbarSetThumb" >&5
12714 echo "${ECHO_T}$ac_cv_lib_Xaw3d_XawScrollbarSetThumb" >&6; }
12715 if test $ac_cv_lib_Xaw3d_XawScrollbarSetThumb = yes; then
12716 HAVE_XAW3D=yes
12717 fi
12718
12719 fi
12720
12721
12722 if test "${HAVE_XAW3D}" = "yes"; then
12723
12724 cat >>confdefs.h <<\_ACEOF
12725 #define HAVE_XAW3D 1
12726 _ACEOF
12727
12728 fi 12669 fi
12729 fi 12670 fi
12730 fi 12671 fi
12731 12672
12732 12673